import logging
import os
import sys

from project_export import add_project_export_args
from project_import import add_project_import_args

# Set up logging.
log = logging.getLogger('{0}[{1}]'.format(os.path.basename(sys.argv[0]),
                                          os.getpid()))

def add_project_args(subparsers):

    p = subparsers.add_parser('project', help='Commands related to squirro projects.')
    project_sub = p.add_subparsers(help='sub-command help')
    add_project_export_args(project_sub)
    add_project_import_args(project_sub)
